# FoundationClasses
TKernel
SortTools

# SortTools_HeapSortOfInteger Class Reference

`#include <SortTools_HeapSortOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Sort (TColStd_Array1OfInteger &TheArray, const TCollection_CompareOfInteger &Comp)

## Member Function Documentation

void SortTools_HeapSortOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SortTools_HeapSortOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* SortTools_HeapSortOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void SortTools_HeapSortOfInteger::Sort | ( | TColStd_Array1OfInteger & | TheArray,
|  | const TCollection_CompareOfInteger & | Comp
| ) | `[static]`

The documentation for this class was generated from the following file:

- SortTools_HeapSortOfInteger.hxx